summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
authorMarcello Stanisci <stanisci.m@gmail.com>2017-12-26 18:29:15 +0100
committerMarcello Stanisci <stanisci.m@gmail.com>2017-12-26 18:29:15 +0100
commitec2b7cad5c0639d1a4ad23d7e17eaff2962010be (patch)
tree72e3bb874579206fb49e59e46f441ffa238d263a /taler-build
parente1d67eee71588e875721466211829e8e2916e8a4 (diff)
downloaddeployment-ec2b7cad5c0639d1a4ad23d7e17eaff2962010be.tar.gz
deployment-ec2b7cad5c0639d1a4ad23d7e17eaff2962010be.tar.bz2
deployment-ec2b7cad5c0639d1a4ad23d7e17eaff2962010be.zip
exchange tests need to set check-db for the bank too
Diffstat (limited to 'taler-build')
-rwxr-xr-xtaler-build/update_exchange.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/taler-build/update_exchange.sh b/taler-build/update_exchange.sh
index e2ae82d..f69c1cf 100755
--- a/taler-build/update_exchange.sh
+++ b/taler-build/update_exchange.sh
@@ -32,12 +32,16 @@ if test ${1:-notgiven} = "--coverage"; then
TOP=$(pwd)
mkdir -p doc/coverage/
lcov -d $TOP -z
- TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB make check || exit 1
+ TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+ TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+ TALER_BANK_ALTDB=$TALER make check || exit 1
lcov -d $TOP -c --no-external -o doc/coverage/coverage.info
lcov -r doc/coverage/coverage.info **/test_* -o doc/coverage/rcoverage.info
genhtml -o doc/coverage doc/coverage/rcoverage.info
chmod a+rx -R doc/
else
echo "checkdb: $TALER_CHECKDB"
- TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB make check
+ TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+ TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+ TALER_BANK_ALTDB=$TALER_CHECKDB make check
fi